#include <iostream>
using namespace std;

int main(){
    setlocale(LC_ALL,"");
    const int maxtomeg=20;
    int targyak[15]={16, 8, 9, 4, 3, 2, 4, 7, 7, 12, 3, 5, 4, 3, 2};
    int osszeg=0, db=0;
    int dobozok[15]={0};
    for(int i=0; i<15; i++)
        osszeg+=targyak[i];
    cout<<"2. feladat"<<endl;
    cout<<"A tárgyak tömegének összege: "<<osszeg<<" kg"<<endl;
    for(int i=0; i<15; i++){
        if (dobozok[db]+targyak[i]>maxtomeg) db++;
        dobozok[db]+=targyak[i];
    }
    cout<<endl<<"3. feladat"<<endl;
    cout<<"A dobozok tartalmának tömege (kg): ";
    for(int i=0; i<=db; i++)
        cout<<dobozok[i]<<" ";
    cout<<endl;
    cout<<"A szükséges dobozok száma: "<<db+1<<endl;
    return 0;
}
